get
/v1/load-balancers/{load_balancer_id}/listeners/{listener_id}/certificatesList listener certificates
List all certificates bound to a specific listener
Path Parameters
load_balancer_id
string<uuid>requiredpath
Load Balancer ID
Example: "550e8400-e29b-41d4-a716-446655440000"
listener_id
string<uuid>requiredpath
Listener ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Header Parameters
X-Region
stringrequiredheader
Region code to query resources from. Required for all resource operations.
Example: "sao1"
Responses
200
List of certificates bound to the listener
Content-Type: application/json
certificates
arrayrequiredmeta
objectrequired401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Listener not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/load-balancers/550e8400-e29b-41d4-a716-446655440000/listeners/550e8400-e29b-41d4-a716-446655440000/certificates" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of certificates bound to the listener
{"certificates": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:sao1:certificate:certificate:550e8400-e29b-41d4-a716-446655440000","name": "my-certificate","type": "acme","domains": ["example.com","*.example.com"],"status": "active","expires_at": "2024-01-15T10:30:00Z","renew_after": "2024-01-15T10:30:00Z","error_message": "string","created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true}}